#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	MethodMaker
Summary:	Class::MethodMaker - a module for creating generic methods
Summary(pl.UTF-8):	Class::MethodMaker - moduł do tworzenia ogólnych metod
Name:		perl-Class-MethodMaker
Version:	2.18
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	99435d78e0a1754b102fe39597c6c3df
URL:		http://search.cpan.org/dist/Class-MethodMaker/
%{?with_tests:BuildRequires:	perl-IPC-Run >= 0.89}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module solves the problem of having to write a bazillion get/set
methods that are all the same. The argument to 'use' is a hash whose
keys are the names of types of generic methods generated by
MethodMaker and whose values tell method maker what methods to make.
(More precisely, the keys are the names of MethodMaker methods
(methods that write methods) and the values are the arguments to those
methods.

%description -l pl.UTF-8
Ten moduł rozwiązuje problem pisania bazylionów metod get/set, które
są wszystkie takie same. Parametrem 'use' jest hasz, którego klucze są
nazwami typów do ogólnych metod, wygenerowanych przez MethodMakera, a
wartości mówią modułowi, które metody utworzyć (bardziej precyzyjnie:
klucze są nazwami metod MethodMakera (metod, które tworzą metody), a
wartości to parametry dla tych metod).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mv -f end.pod lib/Class/MethodMaker/

%build
%{__perl} generate.PL
%{__perl} -MExtUtils::MakeMaker -wle \
	'WriteMakefile(NAME=>"Class::MethodMaker",
	PL_FILES=>{}, VERSION=>"%{version}")' \
	INSTALLDIRS=vendor

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Class/.placeholder
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Class/MethodMaker/end.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Class/cmmg.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Class/*.pm
%dir %{perl_vendorarch}/Class/MethodMaker
%{perl_vendorarch}/Class/MethodMaker/*.pm
%dir %{perl_vendorarch}/auto/Class/MethodMaker
%{perl_vendorarch}/auto/Class/MethodMaker/array
%{perl_vendorarch}/auto/Class/MethodMaker/hash
%{perl_vendorarch}/auto/Class/MethodMaker/scalar
%dir %{perl_vendorarch}/auto/Class/MethodMaker/Engine
%{perl_vendorarch}/auto/Class/MethodMaker/Engine/*.al
%{perl_vendorarch}/auto/Class/MethodMaker/Engine/*.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Class/MethodMaker/*.so
%{perl_vendorarch}/auto/Class/MethodMaker/MethodMaker.bs
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-MethodMaker.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0449d46
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> b1547c4
- missing colon

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> 2505375
- BR: perl-IPC-Run >= 0.89 for tests

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> 7dd3227
- 2.18

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 3b73de5
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 6779ca2
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a4c8702
- release 2

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> eefa49b
- updated to 2.15

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 65684f0
- release 2

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ce38a67
- up to 2.11

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 49c19f3
- rel 2

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> a5cbc30
- fixed Source0 URL

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> de2f114
- up to 2.10

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0b7757d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e448ba6
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 5f6db2f
- 2.08, generic URL

* Sat Jun 04 2005 radek <radek@pld-linux.org> de33160
- s/Class::end.3pm/Class::MethodMaker::end.3pm/ (moved the pod file)

* Sat Jun 04 2005 radek <radek@pld-linux.org> 0dab633
- version 2.07, release 1
- fixed (I hope) brain-dead build
- removed autogenerated provides

* Sun May 08 2005 Paweł Sikora <pluto@pld-linux.org> 6aaa9a2
- BR += perl-Module-Build.

* Wed Dec 01 2004 radek <radek@pld-linux.org> cf57087
- version 2.04, release 0.1: what's the deal with 5MB of *.al files?
- switched to Module::Build, it's not noarch anymore

